#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 hint
version:              0.9.0.6
visibility:           public
id:                   hint-0.9.0.6-oQlINyVzPLHVBA3B1DBG6
key:                  hint-0.9.0.6-oQlINyVzPLHVBA3B1DBG6
license:              BSD-3-Clause
maintainer:           "Samuel Gélineau" <gelisam@gmail.com>
author:               The Hint Authors
homepage:             https://github.com/haskell-hint/hint
synopsis:             A Haskell interpreter built on top of the GHC API
description:
    This library defines an Interpreter monad. It allows to load Haskell
    modules, browse them, type-check and evaluate strings with Haskell
    expressions and even coerce them into values. The library is thread-safe
    and type-safe (even the coercion of expressions to values).
    It is, essentially, a huge subset of the GHC API wrapped in a simpler
    API.

category:             Language, Compilers/Interpreters
abi:                  e8ae448fdf6560a1b7b2cd4f4eba0c9d
exposed:              True
exposed-modules:
    Hint.Internal Language.Haskell.Interpreter
    Language.Haskell.Interpreter.Extension
    Language.Haskell.Interpreter.Unsafe

hidden-modules:
    Hint.GHC Hint.Base Hint.InterpreterT Hint.CompatPlatform
    Hint.Configuration Hint.Extension Hint.Context Hint.Conversions
    Hint.Eval Hint.Parsers Hint.Reflection Hint.Typecheck Hint.Util
    Hint.Annotations Control.Monad.Ghc

import-dirs:          /usr/lib/ghc-9.0.2/site-local/hint-0.9.0.6
library-dirs:         /usr/lib/ghc-9.0.2/site-local/hint-0.9.0.6
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-hint
hs-libraries:         HShint-0.9.0.6-oQlINyVzPLHVBA3B1DBG6
depends:
    base-4.15.1.0 containers-0.6.4.1 directory-1.3.6.2
    exceptions-0.10.4 filepath-1.4.2.1 ghc-9.0.2 ghc-boot-9.0.2
    ghc-paths-0.1.0.12-7fRPaqGgnC488dNzs2elDi
    random-1.2.1.1-KJ0FCJNKSsMBe9MmB5vC8X
    temporary-1.3-Dm9yApWCd8JAS8rS63XbSt transformers-0.5.6.2
    unix-2.7.2.2

haddock-interfaces:   /usr/share/doc/haskell-hint/html/hint.haddock
haddock-html:         /usr/share/doc/haskell-hint/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

